commit: 25c9f4e4f32b57265143198f442628632f2a1b3b
Author: Chema Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 7 08:40:20 2017 +0000
Commit: José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Fri Jul 7 08:40:20 2017 +0000
URL: https://gitweb.gentoo.org/proj/lisp.git/commit/?id=25c9f4e4
dev-lisp/cl-store: Updates to common-lisp-3 eclass
dev-lisp/cl-store/cl-store-0.8.10.ebuild | 21 ++++++++++-----------
dev-lisp/cl-store/cl-store-9999.ebuild | 9 ++++-----
2 files changed, 14 insertions(+), 16 deletions(-)
diff --git a/dev-lisp/cl-store/cl-store-0.8.10.ebuild
b/dev-lisp/cl-store/cl-store-0.8.10.ebuild
index 21bda5d9..a98ec187 100644
--- a/dev-lisp/cl-store/cl-store-0.8.10.ebuild
+++ b/dev-lisp/cl-store/cl-store-0.8.10.ebuild
@@ -1,10 +1,9 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Id$
-EAPI=2
+EAPI=6
-inherit common-lisp-2 eutils
+inherit common-lisp-3 eutils
MY_P=${PN}_${PV}
@@ -23,22 +22,22 @@ DEPEND="sys-apps/texinfo
S="${WORKDIR}"/${PN}
src_prepare() {
- rm xml* */custom-xml.lisp
+ rm -f xml* */custom-xml.lisp
}
src_compile() {
- cd doc
- makeinfo ${PN}.texi -o ${PN}.info || die "Cannot build info docs"
+ cd doc || die
+ makeinfo ${PN}.texi -o ${PN}.info || die
if use doc ; then
VARTEXFONTS="${T}"/fonts \
- texi2pdf ${PN}.texi -o ${PN}.pdf || die "Cannot build
PDF docs"
+ texi2pdf ${PN}.texi -o ${PN}.pdf || die
fi
}
src_install() {
- common-lisp-install *.{lisp,asd} \
- abcl acl allegrocl clisp cmucl ecl lispworks mcl openmcl sbcl
- common-lisp-symlink-asdf
+ common-lisp-install-sources *.lisp abcl acl allegrocl clisp cmucl \
+ ecl lispworks
mcl openmcl sbcl
+ common-lisp-install-asdf
dodoc ChangeLog
doinfo doc/${PN}.info
use doc && dodoc doc/${PN}.pdf
diff --git a/dev-lisp/cl-store/cl-store-9999.ebuild
b/dev-lisp/cl-store/cl-store-9999.ebuild
index 49786fdf..0e12f4a6 100644
--- a/dev-lisp/cl-store/cl-store-9999.ebuild
+++ b/dev-lisp/cl-store/cl-store-9999.ebuild
@@ -1,6 +1,5 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Id$
EAPI=6
@@ -19,8 +18,8 @@ DEPEND="sys-apps/texinfo
RDEPEND="dev-lisp/rt"
src_prepare() {
- default
- rm xml* */custom-xml.lisp || die
+ rm -f xml* */custom-xml.lisp
+ eapply_user
}
src_compile() {
@@ -33,8 +32,8 @@ src_compile() {
}
src_install() {
- common-lisp-install-sources *.lisp \
- acl allegrocl clisp cmucl ecl lispworks openmcl sbcl
+ common-lisp-install-sources *.lisp acl allegrocl clisp \
+ cmucl ecl
lispworks openmcl sbcl
common-lisp-install-asdf
doinfo doc/${PN}.info
use doc && dodoc doc/{index.html,style.css,${PN}.pdf}